/*
 * GrayPixel.h
 *
 *  Created on: 01/giu/2010
 *      Author: bertini
 */

#ifndef GRAYPIXEL_H_
#define GRAYPIXEL_H_

class GrayPixel {
public:
	GrayPixel(unsigned char v=0) : V(v) {};
    int getV() const {
        return V;
    }
    void setV(unsigned char V) {
        this->V = V;
    }
    bool operator==(const GrayPixel& rhp) const {
    	if( this->V == rhp.V )
    		return true;
    	else
    		return false;
    }
    bool operator>(const GrayPixel& rhp) const {
    	if( V > rhp.V )
    		return true;
    	else
    		return false;
    }

private:
	unsigned char V;
};

#endif /* GRAYPIXEL_H_ */
